// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/GameModeBase.h"
#include "EndlessVendettaGameMode.generated.h"

UCLASS(minimalapi)
class AEndlessVendettaGameMode : public AGameModeBase
{
	GENERATED_BODY()

public:
	AEndlessVendettaGameMode();
	
	UFUNCTION(Exec, Category = ExecFunctions)
	void KillAllEnemies();

	UFUNCTION(Exec, Category = ExecFunctions)
	void SetLocalAIAlertLevel(int NewAlertLevel);
};
